---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: rfi
spec:
  values:
    services:
      backend:
        podAnnotations:
          _default:
            vault.hashicorp.com/agent-inject-secret-rfi-s3: secrets/data/minio/apps/rfi
            vault.hashicorp.com/agent-inject-template-rfi-s3: |-
              {{- with secret "secrets/data/minio/apps/rfi" -}}
              YC_S3_ENDPOINT_URL=https://s3.uralmine.com
              YC_S3_BUCKET_NAME=sarex-rfi
              YC_S3_ACCESS_KEY_ID={{ index .Data.data "access_key" }}
              YC_S3_SECRET_ACCESS_KEY={{ index .Data.data "secret_key" }}
              {{- end -}}
